<br><br><br>
<div class=" container card text-center" style="width: 20%;">
    <div class="card-body">
        <h1 class="h3 card-title">Login</h1>
        <br>
        <form [formGroup]="loginForm" (ngSubmit)="login()" class="form text-center">

            <div class="row form-group">
                <div class="mx-auto">
                    <label for="username">Username</label>
                    <input type="email" class="form-control input-sm" formControlName="username" id="username"
                        placeholder="usuario" autocomplete="off">
                    <div *ngIf="loginForm.get('username').invalid && 
                                (loginForm.get('username').dirty || loginForm.get('username').touched)">

                        <div *ngIf="loginForm.get('username').errors.required">
                            <p class="error-validate">El campo es requerido</p>
                        </div>

                    </div>
                </div>
            </div>
            <br>
            <div class="row form-group">
                <div class="mx-auto">
                    <label for="password">Password</label>
                    <input type="password" id="password" class="form-control" formControlName="password"
                        placeholder="Contraseña" autocomplete="off">
                    <div
                        *ngIf="loginForm.get('password').invalid && 
                                                        (loginForm.get('password').dirty || loginForm.get('password').touched)">

                        <div *ngIf="loginForm.get('password').errors.required">
                            <p class="error-validate">El campo es requerido</p>
                        </div>

                    </div>
                </div>
            </div>
            <br>
            <div class="">
                <div class="custom-control custom-checkbox mr-sm-2">
                    <input type="checkbox" class="custom-control-input" id="customControlAutosizing"
                        formControlName="rememberMe" autocomplete="off">
                    <label class="custom-control-label" for="customControlAutosizing">Remember me</label>
                </div>
            </div>
            <br>

            <button type="submit" [disabled]="loginForm.invalid" class="btn btn-md btn-success">Login</button>
        </form>
    </div>
</div>